//
//  AppController.m
//  Control1
//
//  Created by zzerr on 08. 09. 25.
//  Copyright 2008 cocoadev.co.kr. All rights reserved.
//

#import "AppController.h"


@implementation AppController

- (void)awakeFromNib {
	
	// 버튼 이미지를 지정
	NSImage *buttonImage = [NSImage imageNamed:NSImageNameRefreshTemplate];
	[refreshButton setImage:buttonImage];

	buttonImage = [NSImage imageNamed:NSImageNameGoLeftTemplate];
	[leftButton setImage:buttonImage];
	
	buttonImage = [NSImage imageNamed:NSImageNameGoRightTemplate];
	[rightButton setImage:buttonImage];
	
	originalPoint = [textLabel frame].origin;
}

- (IBAction)setLabel:(id)sender {
	
	// 입력한 문자를 라벨에 지정하고 라벨의 크기를 문자열의 길이만큼 변경
	[textLabel setStringValue:[inputField stringValue]];	
	[textLabel sizeToFit];
}

- (IBAction)moveLeft:(id)sender {
	
	// 라벨을 초기 위치로 이동
	[[textLabel animator] setFrameOrigin:originalPoint];
}

- (IBAction)moveRight:(id)sender {
	CGFloat xPos;
	
	// 우측 모서리로 이동하도록 윈도우의 크기에서 라벨의 크기를 뺀 위치로 설정 
	xPos = [[[NSApp mainWindow] contentView] bounds].size.width;
	xPos -= [textLabel frame].size.width;
	
	// 에니메이션과 함께 라벨의 위치 변경
	NSPoint targetPoint = NSMakePoint(xPos, originalPoint.y);
	[[textLabel animator] setFrameOrigin:targetPoint];
}

@end
